import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/components/appbar.dart';

import 'controller.dart';

class AdminPage extends GetView<AdminController> {
  const AdminPage({super.key});

  @override
  Widget build(BuildContext context) {
    // TODO: 后门页面
    return Scaffold(
      appBar: VAppBar(titleText: "系统管理"),
      body: ListView(
        padding: const EdgeInsets.symmetric(horizontal: 40),
        children: [
          const Text("欢迎补充", style: TextStyle(fontSize: 26)),
          const SizedBox(height: 8),
          ElevatedButton(
            onPressed: controller.cpDbFileLoki,
            child: const Text("Loki DB CP"),
          ),
          const SizedBox(height: 8),
          ElevatedButton(
            onPressed: controller.cpDbFileFinlay,
            child: const Text("Finlay DB CP"),
          ),
        ],
      ),
    );
  }
}
